local SideBarFundCell = class("SideBarFundCell", SideBarBaseCell)

function SideBarFundCell:getModuleKey()
	-- return ModuleManager.MODULE_KEY.TASK
end

function SideBarFundCell:getIsOpen()
	local isOpenFundLevel = DataManager.FundLevelData:getIsOpen() and not DataManager.FundLevelData:getIsAllClaimed()
	local isOpenFundChapter = DataManager.ChapterFundData:getIsOpen()
	-- local isOpenBounty = DataManager.BountyData:isOpen()
	-- local isOpenBountyCollertion = DataManager.BountyCollectionData:isOpen()
	-- local isOpenBounryTower = DataManager.TowerData:isOpen()
	
	return isOpenFundLevel or isOpenFundChapter-- or isOpenBounty or isOpenBountyCollertion or isOpenBounryTower
end

function SideBarFundCell:getSpineName()
	return "ui_main_btn_act_fund"
end

function SideBarFundCell:onClick()
	ModuleManager.ShopManager:showFundUI()
end

function SideBarFundCell:getIsShowRedPoint()
	return DataManager.FundLevelData:getRedPoint() or
		DataManager.ChapterFundData:getRedPoint()
end

function SideBarFundCell:getCellName()
	return I18N:getGlobalText(I18N.GlobalConst.DUNGEON_ARMOR_DESC_12)
end

return SideBarFundCell